{% extends "base.njk" %}

{% block content %}
    <div ng-controller="account">
        <h3 >Account Info</h3>
        <script type="text/javascript" src="/js/qrious.min.js"></script>
        <table>
            <tbody>
                <tr>

                    <td class="minwidth">{{i18n.Account}}</td>
                    <td>
                        <span class="overview_height" id="currentAddress">{{address}}</span>
                        <a href="/alias/{{address}}">Claim your address</a>
                    </td>
                    <td rowspan="3">
                        <div style="background:#3B3B3B;width: 100px;height: 100px; margin: 0 auto;">
                            <canvas id="qr"></canvas>
                        </div>
                        <script>
                            var qr = new QRious({element: document.getElementById('qr'), value: 'blacknet:{{address}}', background: '#3B3B3B', foreground: '#ccc'})
                        </script>
                    </td>
                </tr>
                {% if account.displayName %}
                    <tr>
                        <td class="minwidth">{{i18n.Owner}}</td>
                        <td>
                            <span>{{account.displayName}}</span>
                        </td>
                    </tr>
                {% endif %}
                <tr>
                    <td >Seq</td>
                    <td>
                        {{account.seq}}
                    </td>
                </tr>
                <tr>
                    <td >{{i18n.Balance}}</td>
                    <td>
                        <span class="overview_blockHash strong">${
                            {{account.balance}}
                            | currency} BLN</span>
                    </td>
                </tr>
                <tr>
                    <td >{{i18n.ConfirmedBalance}}</td>
                    <td colspan="2">
                        <span class="overview_blockHash strong">${
                            {{account.confirmedBalance}}
                            | currency} BLN</span>
                    </td>
                </tr>
                <tr>
                    <td >{{i18n.StakingBalance}}</td>
                    <td colspan="2">
                        <span class="overview_blockHash strong">${
                            {{account.stakingBalance}}
                            | currency} BLN</span>
                    </td>
                </tr>
                <tr>
                    <td >{{i18n.TxAmount}}</td>
                    <td colspan="2">
                        <span>{{account.txamount}}</span>
                    </td>
                </tr>
                <tr>
                    <td >{{i18n.PoSBlocks}}</td>
                    <td colspan="2">
                        <span>{{account.blocks}}</span>
                    </td>
                </tr>
            </tbody>
        </table>
        <div class="account_tx">
            <h3 >{{i18n.Transactions}}</h3>
        </div>
        <div class="filter" ng-init="type='{{type}}'">
            <a ng-repeat="tp in types" ng-class="{active:type == tp}" href="${pathname}?type=${tp}" data-i18n="${tp|txType}">${tp|txType}</a>
            <input type="checkbox" id="gt10000" ng-model="isGt10000" name="gtnumber" ng-change="refreshWithGT()">
            <label for="gt10000">只查看大于 10000 BLN的交易</label>
        </div>
        <table id="account-table" style="margin-top:0" ng-init="address='{{address}}'">
            <thead>
                <tr>
                    <td class="hide">{{i18n.Height}}</td>
                    <td class="hide">{{i18n.Time}}</td>
                    <td class="type">{{i18n.Type}}</td>
                    <td class="from_to">{{i18n.FromTo}}</td>
                    <td class="amount">{{i18n.Amount}}</td>
                </tr>
            </thead>
            <tbody id="block-list">
                <tr ng-if="isloaded" ng-repeat="tx in txns">
                    <td class="hide">
                        <a href="/${tx.data.blockHeight}">${tx.data.blockHeight}</a>
                    </td>
                    <td class='time hide'>${tx.time | timestr}</td>
                    <td class="type" ng-if="tx.type == 0">
                        <a href="/${tx.txid.toLowerCase()}">${ address == tx.from ? "Sent to" : 'Received from'}</a>
                    </td>
                    <td class="type" ng-if="tx.type == 2 || tx.type == 3">
                        <a href="/${tx.txid.toLowerCase()}">${tx.type|txType} ${ address == tx.from ? "to" : 'from'}</a>
                    </td>
                    <td class="type" ng-if="tx.type < 254 && tx.type != 0 && tx.type != 2 && tx.type != 3  ">
                        <a href="/${tx.txid.toLowerCase()}">${tx.type|txType}</a>
                    </td>
                    <td class="type" ng-if="tx.type > 253">
                        ${tx.type|txType}
                    </td>
                    <td class="address" ng-if="tx.type == 0 || tx.type == 2 || tx.type == 3">

                        <a ng-if=" address == tx.from" href="/${tx.data.to}">${Users[tx.data.to] || tx.data.to}</a>
                        <a ng-if=" address != tx.from" href="/${tx.from}">${Users[tx.from] || tx.from}</a>
                    </td>
                    <td class="address" ng-if="tx.type != 0 && tx.type != 2 && tx.type != 3">
                        <a href="/${tx.from}" ng-if="tx.from != 'genesis'">${Users[tx.from] || tx.from}</a>
                        <a href="/${tx.to}" ng-if="tx.from == 'genesis'">${Users[tx.to] || tx.to}</a>
                    </td>
                    <td class="right txamount">
                        <span class=" ${tx.isSpent ? 'spent': 'recieved'}">
                            ${tx.isSpent?'-': '+'}${tx.data.amount | currency} BLN</span>
                    </td>
                </tr>
                <tr ng-if="!isloaded">
                    <td colspan="5">
                        {% include "spinner.njk" %}
                    </td>
                </tr>
                <tr ng-if="isloaded && txns.length == 0">
                    <td colspan="5">
                        No transactions yet.
                    </td>
                </tr>
            </tbody>
        </table>
        <style>
            .pager {
                text-align: center;
                margin-top: 20px;
                overflow: hidden;
            }
            .pager a {
                border: 1px solid #2D2D2D;
                display: inline-block;
                width: 24px;
                height: 24px;
                background: #2D2D2D;
                line-height: 24px;
                font-size: 12px;
                margin-left: 6px;

            }
            a,
            a:active {
                color: #3CA2A2;
                text-decoration: none;
            }
        </style>
        <div class="pager" ng-if="page_number>1">
            <a ng-if="page > 3" href="${currentPath}?page=1&type=${type}&isGt10000=${+isGt10000}"><<</a> 
            <a ng-if="page > 1" href="${currentPath}?page=${page-1}&type=${type}&isGt10000=${+isGt10000}"><</a> 
            <a ng-repeat="p in pager" class="${page == p ? 'current' : ''}" href="${currentPath}?page=${p}&type=${type}&isGt10000=${+isGt10000}">${p}</a> 
            <a ng-if="page < page_number" href="${currentPath}?page=${+page+1}&type=${type}&isGt10000=${+isGt10000}">></a>
            <a ng-if="page != page_number" href="${currentPath}?page=${page_number}&type=${type}&isGt10000=${+isGt10000}">>></a>
        </div>
    </div>
{% endblock %}